ServerConsole (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.server.utils
Class ServerConsole

    java.lang.Object
      org.gcube.resourcemanagement.support.server.utils.ServerConsole

    public class ServerConsole

extends Object

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`ServerConsole()`

Method Summary
`static void` | `debug(String msg)`
`static void` | `debug(String prefix, String msg)`
`static void` | `error(String prefix, String msg)`
`static void` | `error(String prefix, String msg, Throwable exc)`
`static void` | `error(String prefix, Throwable exc)`
`static void` | `info(String prefix, String msg)`
`static void` | `trace(String msg)`
`static void` | `trace(String prefix, String msg)`
`static void` | `warn(String msg)`
`static void` | `warn(String prefix, String msg)`
`static void` | `warn(String prefix, String msg, Throwable exc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerConsole

    public ServerConsole()

Method Detail

### error

    public static void error(String prefix,
                             String msg)

### error

    public static void error(String prefix,
                             Throwable exc)

### error

    public static void error(String prefix,
                             String msg,
                             Throwable exc)

### warn

    public static void warn(String prefix,
                            String msg)

### warn

    public static void warn(String prefix,
                            String msg,
                            Throwable exc)

### info

    public static void info(String prefix,
                            String msg)

### trace

    public static void trace(String prefix,
                             String msg)

### trace

    public static void trace(String msg)

### debug

    public static void debug(String msg)

### warn

    public static void warn(String msg)

### debug

    public static void debug(String prefix,
                             String msg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.